# Generated by Django 2.0.1 on 2018-02-07 14:58

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0042_comptadocument_paid'),
    ]

    operations = [
        migrations.CreateModel(
            name='PaymentMethod',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='nom')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'méthode de paiement',
                'verbose_name_plural': 'méthodes de paiement',
            },
        ),
        migrations.RemoveField(
            model_name='comptadocument',
            name='paid',
        ),
        migrations.AddField(
            model_name='comptadocument',
            name='payment_method',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.PROTECT, to='app.PaymentMethod', verbose_name='méthode de paiement'),
        ),
    ]
